=== debian/control ===
Source: globus-openssl-module
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 6.0.7~), autotools-dev, quilt, grid-packaging-tools, libglobus-gsi-proxy-ssl-dev (>= 1), libglobus-common-dev (>= 3), libglobus-gsi-openssl-error-dev, libglobus-openssl-dev (>= 1), globus-core (>= 5.15-5), doxygen (<< 1.6.2-1) | doxygen (>> 1.6.2-1), graphviz, texlive-latex-recommended, texlive-latex-extra, texlive-extra-utils, texlive-fonts-recommended, texlive-font-utils, ghostscript | gs-gpl
Standards-Version: 3.8.4
Section: net
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-openssl-module
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-openssl-module
Homepage: http://www.globus.org/

Package: libglobus-openssl-module0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-openssl
Description: Globus Toolkit - Globus OpenSSL Module Wrapper
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-openssl-module0 package contains:
 Globus OpenSSL Module Wrapper

Package: libglobus-openssl-module-dev
Section: libdevel
Architecture: any
Depends: libglobus-openssl-module0 (= ${binary:Version}), ${misc:Depends}, libglobus-gsi-proxy-ssl-dev (>= 1), libglobus-common-dev (>= 3), libglobus-gsi-openssl-error-dev, libglobus-openssl-dev (>= 1), globus-core (>= 4)
Recommends: libglobus-openssl-module-doc (= ${binary:Version})
Description: Globus Toolkit - Globus OpenSSL Module Wrapper Development Files
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-openssl-module-dev package contains:
 Globus OpenSSL Module Wrapper Development Files

Package: libglobus-openssl-module-doc
Section: doc
Architecture: any
Depends: libglobus-openssl-module-dev (= ${binary:Version}), ${misc:Depends}
Description: Globus Toolkit - Globus OpenSSL Module Wrapper Documentation Files
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-openssl-module-doc package contains:
 Globus OpenSSL Module Wrapper Documentation Files

Package: globus-openssl-module-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libglobus-openssl-module0 (= ${binary:Version}), ${misc:Depends}
Description: Globus Toolkit - Globus OpenSSL Module Wrapper Debug Symbols
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-openssl-module-dbg package contains:
 Globus OpenSSL Module Wrapper Debug Symbols
