## globus-openssl-module 1.3

=== debian/changelog ===
globus-openssl-module (1.3-3) unstable; urgency=low

  * Use system jquery script

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 07 Jun 2011 01:24:32 +0200

globus-openssl-module (1.3-2) unstable; urgency=low

  * Add README file
  * Use new doxygen-latex build dependency (Closes: #616244)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 26 Apr 2011 05:09:16 +0200

globus-openssl-module (1.3-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.2
  * Drop patch globus-openssl-module-oid.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 19 Jul 2010 05:21:32 +0200
