## globus-openssl-module 3.1

=== debian/changelog ===
globus-openssl-module (3.1-1) unstable; urgency=low

  * Update to Globus Toolkit version 5.2.0
  * Drop patch globus-openssl-module-mingw.patch (fixed upstream)
  * Make doc package architecture independent

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 25 Dec 2011 10:14:19 +0100
