=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: globus-openssl-module
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 6.0.7~), autotools-dev, quilt, grid-packaging-tools, libglobus-gsi-proxy-ssl-dev (>= 1), libglobus-common-dev (>= 3), libglobus-gsi-openssl-error-dev, libglobus-openssl-dev (>= 1), globus-core (>= 5.15-5), doxygen-latex, graphviz, texlive-fonts-recommended, texlive-font-utils, ghostscript
+Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8), libglobus-gsi-proxy-ssl-dev (>= 4), libglobus-common-dev (>= 14), libglobus-gsi-openssl-error-dev (>= 2), libssl-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript
 Standards-Version: 3.9.2
 Section: net
 DM-Upload-Allowed: yes
@@ -12,7 +12,7 @@
 Package: libglobus-openssl-module0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-openssl
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Globus Toolkit - Globus OpenSSL Module Wrapper
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
@@ -23,11 +23,25 @@
  The libglobus-openssl-module0 package contains:
  Globus OpenSSL Module Wrapper
 
+Package: globus-openssl-module-progs
+Section: net
+Architecture: any
+Depends: libglobus-common0 (>= 14), openssl, ${misc:Depends}, ${perl:Depends}
+Description: Globus Toolkit - Globus OpenSSL Module Wrapper Programs
+ The Globus Toolkit is an open source software toolkit used for
+ building Grid systems and applications. It is being developed by the
+ Globus Alliance and many others all over the world. A growing number
+ of projects and companies are using the Globus Toolkit to unlock the
+ potential of grids for their cause.
+ .
+ The globus-openssl-module-progs package contains:
+ Globus OpenSSL Module Wrapper Programs
+
 Package: libglobus-openssl-module-dev
 Section: libdevel
 Architecture: any
-Depends: libglobus-openssl-module0 (= ${binary:Version}), ${misc:Depends}, libglobus-gsi-proxy-ssl-dev (>= 1), libglobus-common-dev (>= 3), libglobus-gsi-openssl-error-dev, libglobus-openssl-dev (>= 1), globus-core (>= 4)
-Recommends: libglobus-openssl-module-doc (= ${binary:Version})
+Depends: libglobus-openssl-module0 (= ${binary:Version}), ${misc:Depends}, libglobus-gsi-proxy-ssl-dev (>= 4), libglobus-common-dev (>= 14), libglobus-gsi-openssl-error-dev (>= 2), globus-core (>= 8), libssl-dev
+Recommends: libglobus-openssl-module-doc (= ${source:Version})
 Description: Globus Toolkit - Globus OpenSSL Module Wrapper Development Files
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
@@ -40,8 +54,8 @@
 
 Package: libglobus-openssl-module-doc
 Section: doc
-Architecture: any
-Depends: libglobus-openssl-module-dev (= ${binary:Version}), ${misc:Depends}, ${js:Depends}
+Architecture: all
+Depends: libglobus-openssl-module-dev (>= ${source:Version}), ${misc:Depends}, ${js:Depends}
 Description: Globus Toolkit - Globus OpenSSL Module Wrapper Documentation Files
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
