## globus-openssl-module 3.2

=== debian/changelog ===
globus-openssl-module (3.2-2) unstable; urgency=low

  * Add arm64 to the list of 64 bit architectures

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 26 May 2013 11:59:43 +0200

globus-openssl-module (3.2-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.1
  * Drop patch globus-openssl-module-sbin.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 28 Apr 2012 18:58:11 +0200

globus-openssl-module (3.1-2) unstable; urgency=low

  * Fix broken links in README file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 24 Jan 2012 16:16:52 +0100
