=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8), libglobus-gsi-proxy-ssl-dev (>= 4), libglobus-common-dev (>= 14), libglobus-gsi-openssl-error-dev (>= 2), libssl-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Section: net
-DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-openssl-module
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-openssl-module
 Homepage: http://www.globus.org/
