=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,9 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc/lib$(name)-dev
 
-DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-ifneq (,$(filter $(DEB_HOST_ARCH_CPU), amd64 alpha ia64 s390x ppc64 sparc64))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 arm64 ia64 kfreebsd-amd64 ppc64 s390x sparc64))
 flavor = gcc64
 else
 flavor = gcc32
@@ -82,6 +82,7 @@
 	rm -f pkgdata/*.gpt
 	rm -f pkgdata/$(name).pc
 	rm -f pkgdata/pkg_data_src.pc.in
+	rm -f gptdata.sh
 	rm -f globus_automake*
 	rm -rf autom4te.cache
 
@@ -150,7 +151,7 @@
 	dh_installman -a
 	dh_lintian -a
 	dh_link -a
-	dh_strip -a --dbg-package=globus-openssl-module-dbg
+	dh_strip -a --dbg-package=$(name)-dbg
 	dh_compress -a
 	dh_fixperms -a
 	dh_perl -a
@@ -167,7 +168,7 @@
 	dh_installdocs -p lib$(name)-doc --link-doc=lib$(name)-dev
 	dh_installdocs -i
 	dh_installchangelogs -i
-	dh_install -i
+	dh_install -i --fail-missing
 	dh_installman -i
 	dh_link -i
 	dh_compress -i -X .tag
