=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: globus-openssl-module
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8), libglobus-gsi-proxy-ssl-dev (>= 4), libglobus-common-dev (>= 14), libglobus-gsi-openssl-error-dev (>= 2), libssl-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript
+Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8.16), libglobus-common-dev (>= 14.10), libglobus-gsi-proxy-ssl-dev (>= 4.1-4~), libglobus-gsi-openssl-error-dev (>= 2.1-4~), libssl-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript
 Standards-Version: 3.9.4
 Section: net
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-openssl-module
@@ -11,6 +11,8 @@
 Package: libglobus-openssl-module0
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Globus Toolkit - Globus OpenSSL Module Wrapper
  The Globus Toolkit is an open source software toolkit used for
@@ -25,6 +27,7 @@
 Package: globus-openssl-module-progs
 Section: net
 Architecture: any
+Multi-Arch: foreign
 Depends: libglobus-common0 (>= 14), openssl, ${misc:Depends}, ${perl:Depends}
 Description: Globus Toolkit - Globus OpenSSL Module Wrapper Programs
  The Globus Toolkit is an open source software toolkit used for
@@ -39,7 +42,8 @@
 Package: libglobus-openssl-module-dev
 Section: libdevel
 Architecture: any
-Depends: libglobus-openssl-module0 (= ${binary:Version}), ${misc:Depends}, libglobus-gsi-proxy-ssl-dev (>= 4), libglobus-common-dev (>= 14), libglobus-gsi-openssl-error-dev (>= 2), globus-core (>= 8), libssl-dev
+Multi-Arch: same
+Depends: libglobus-openssl-module0 (= ${binary:Version}), ${misc:Depends}, libglobus-common-dev (>= 14), libglobus-gsi-proxy-ssl-dev (>= 4), libglobus-gsi-openssl-error-dev (>= 2), globus-core (>= 8), libssl-dev
 Recommends: libglobus-openssl-module-doc (= ${source:Version})
 Description: Globus Toolkit - Globus OpenSSL Module Wrapper Development Files
  The Globus Toolkit is an open source software toolkit used for
@@ -54,6 +58,7 @@
 Package: libglobus-openssl-module-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: libglobus-openssl-module-dev (>= ${source:Version}), ${misc:Depends}, ${js:Depends}
 Description: Globus Toolkit - Globus OpenSSL Module Wrapper Documentation Files
  The Globus Toolkit is an open source software toolkit used for
@@ -65,10 +70,14 @@
  The libglobus-openssl-module-doc package contains:
  Globus OpenSSL Module Wrapper Documentation Files
 
-Package: globus-openssl-module-dbg
+Package: libglobus-openssl-module-dbg
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
+Provides: globus-openssl-module-dbg
+Replaces: globus-openssl-module-dbg (<< 3.3)
+Conflicts: globus-openssl-module-dbg (<< 3.3)
 Depends: libglobus-openssl-module0 (= ${binary:Version}), ${misc:Depends}
 Description: Globus Toolkit - Globus OpenSSL Module Wrapper Debug Symbols
  The Globus Toolkit is an open source software toolkit used for
@@ -77,5 +86,5 @@
  of projects and companies are using the Globus Toolkit to unlock the
  potential of grids for their cause.
  .
- The globus-openssl-module-dbg package contains:
+ The libglobus-openssl-module-dbg package contains:
  Globus OpenSSL Module Wrapper Debug Symbols
