## globus-openssl-module 4.6

=== debian/changelog ===
globus-openssl-module (4.6-5) unstable; urgency=medium

  * Set SOURCE_DATE_EPOCH and rebuild using doxygen 1.8.11
    (for reproducible build)
  * Update URLs (use toolkit.globus.org)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 16 Feb 2016 16:29:44 +0100

globus-openssl-module (4.6-4) unstable; urgency=medium

  * Rebuild using doxygen 1.8.9.1 (Fixes lintian man page warnings)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 30 Apr 2015 15:08:29 +0200

globus-openssl-module (4.6-3) unstable; urgency=medium

  * Add Pre-Depends for dpkg-maintscript-helper

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 08 Nov 2014 23:30:39 +0100

globus-openssl-module (4.6-2) unstable; urgency=medium

  * Properly handle symlink-to-dir conversion in doc package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 07 Nov 2014 17:18:48 +0100

globus-openssl-module (4.6-1) unstable; urgency=medium

  * GT6 update
  * Drop patch globus-openssl-module-doxygen.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 27 Oct 2014 12:41:00 +0100

globus-openssl-module (4.5-1) unstable; urgency=medium

  * Update to Globus Toolkit 6.0
  * Drop GPT build system and GPT packaging metadata
  * Drop -progs binary package - merged with globus-gsi-cert-utils-progs

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 23 Sep 2014 10:06:46 +0200
