=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: globus-openssl-module
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), autotools-dev, grid-packaging-tools (>= 3.4), globus-core (>= 8.16), libglobus-common-dev (>= 14.10), libglobus-gsi-proxy-ssl-dev (>= 4.1-4~), libglobus-gsi-openssl-error-dev (>= 2.1-4~), libssl-dev, doxygen-latex, texlive-fonts-recommended, graphviz, ghostscript
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 5), dh-autoreconf, pkg-config, libglobus-common-dev (>= 15), libglobus-gsi-proxy-ssl-dev (>= 4), libglobus-gsi-openssl-error-dev (>= 2), libssl-dev, doxygen, graphviz
+Standards-Version: 3.9.6
 Section: net
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-openssl-module
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-openssl-module
-Homepage: http://www.globus.org/
+Homepage: http://toolkit.globus.org/
 
 Package: libglobus-openssl-module0
 Section: libs
@@ -24,26 +24,11 @@
  The libglobus-openssl-module0 package contains:
  Globus OpenSSL Module Wrapper
 
-Package: globus-openssl-module-progs
-Section: net
-Architecture: any
-Multi-Arch: foreign
-Depends: libglobus-common0 (>= 14), openssl, ${misc:Depends}, ${perl:Depends}
-Description: Globus Toolkit - Globus OpenSSL Module Wrapper Programs
- The Globus Toolkit is an open source software toolkit used for
- building Grid systems and applications. It is being developed by the
- Globus Alliance and many others all over the world. A growing number
- of projects and companies are using the Globus Toolkit to unlock the
- potential of grids for their cause.
- .
- The globus-openssl-module-progs package contains:
- Globus OpenSSL Module Wrapper Programs
-
 Package: libglobus-openssl-module-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libglobus-openssl-module0 (= ${binary:Version}), ${misc:Depends}, libglobus-common-dev (>= 14), libglobus-gsi-proxy-ssl-dev (>= 4), libglobus-gsi-openssl-error-dev (>= 2), globus-core (>= 8), libssl-dev
+Depends: libglobus-openssl-module0 (= ${binary:Version}), ${misc:Depends}, libglobus-common-dev (>= 15), libglobus-gsi-proxy-ssl-dev (>= 4), libglobus-gsi-openssl-error-dev (>= 2), libssl-dev
 Recommends: libglobus-openssl-module-doc (= ${source:Version})
 Description: Globus Toolkit - Globus OpenSSL Module Wrapper Development Files
  The Globus Toolkit is an open source software toolkit used for
@@ -59,7 +44,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: libglobus-openssl-module-dev (>= ${source:Version}), ${misc:Depends}, ${js:Depends}
+Pre-Depends: dpkg (>= 1.17.5)
+Depends: ${misc:Depends}
 Description: Globus Toolkit - Globus OpenSSL Module Wrapper Documentation Files
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the
@@ -78,6 +64,7 @@
 Provides: globus-openssl-module-dbg
 Replaces: globus-openssl-module-dbg (<< 3.3)
 Conflicts: globus-openssl-module-dbg (<< 3.3)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libglobus-openssl-module0 (= ${binary:Version}), ${misc:Depends}
 Description: Globus Toolkit - Globus OpenSSL Module Wrapper Debug Symbols
  The Globus Toolkit is an open source software toolkit used for
