## globus-openssl-module 4.7

=== debian/changelog ===
globus-openssl-module (4.7-1) unstable; urgency=medium

  * GT6 update: Updates for OpenSSL 1.1.0 (Closes: #828324)
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 01 Sep 2016 09:29:52 +0200
