=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: globus-openssl-module
 Priority: optional
-Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends: debhelper (>= 5), dh-autoreconf, pkg-config, libglobus-common-dev (>= 15), libglobus-gsi-proxy-ssl-dev (>= 4), libglobus-gsi-openssl-error-dev (>= 2), libssl-dev, doxygen, graphviz
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: net
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-openssl-module
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-openssl-module
