=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: globus-openssl-module
 Priority: optional
-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
-Build-Depends: debhelper (>= 5), dh-autoreconf, pkg-config, libglobus-common-dev (>= 15), libglobus-gsi-proxy-ssl-dev (>= 4), libglobus-gsi-openssl-error-dev (>= 2), libssl-dev, doxygen, graphviz
-Standards-Version: 3.9.8
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config, libglobus-common-dev (>= 15), libglobus-gsi-proxy-ssl-dev (>= 4), libglobus-gsi-openssl-error-dev (>= 2), libssl-dev, doxygen, graphviz
+Standards-Version: 4.0.0
 Section: net
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-openssl-module
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-openssl-module
@@ -55,23 +56,3 @@
  .
  The libglobus-openssl-module-doc package contains:
  Globus OpenSSL Module Wrapper Documentation Files
-
-Package: libglobus-openssl-module-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Provides: globus-openssl-module-dbg
-Replaces: globus-openssl-module-dbg (<< 3.3)
-Conflicts: globus-openssl-module-dbg (<< 3.3)
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libglobus-openssl-module0 (= ${binary:Version}), ${misc:Depends}
-Description: Globus Toolkit - Globus OpenSSL Module Wrapper Debug Symbols
- The Globus Toolkit is an open source software toolkit used for
- building Grid systems and applications. It is being developed by the
- Globus Alliance and many others all over the world. A growing number
- of projects and companies are using the Globus Toolkit to unlock the
- potential of grids for their cause.
- .
- The libglobus-openssl-module-dbg package contains:
- Globus OpenSSL Module Wrapper Debug Symbols
